Receipt (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.Receipt class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class Receipt

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.Receipt

All Implemented Interfaces:
  Packet

Direct Known Subclasses:
  IntResponseReceipt, ResponseReceipt

public class Receipt
extends AbstractPacket

Sent in receipt of a Packet

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`Receipt()`

Method Summary
`int` | `getBrokerMessageCapacity()`
`String` | `getBrokerName()`
`String` | `getClusterName()`
`String` | `getCorrelationId()`
`Throwable` | `getException()`
`int` | `getPacketType()` Return the type of Packet
`boolean` | `isFailed()`
`boolean` | `isReceipt()`
`void` | `setBrokerMessageCapacity(int brokerMessageCapacity)`
`void` | `setBrokerName(String brokerName)`
`void` | `setClusterName(String clusterName)`
`void` | `setCorrelationId(String newCorrelationId)`
`void` | `setException(Throwable exception)`
`void` | `setFailed(boolean newFailed)`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Receipt

    public Receipt()

Method Detail

### getException

    public Throwable getException()

  Returns:
    Returns the jmsException.

### setException

    public void setException(Throwable exception)

  Parameters:
    `exception` - The exception to set.

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### isReceipt

    public boolean isReceipt()

  Specified by:
    `isReceipt` in interface `Packet`
  Overrides:
    `isReceipt` in class `AbstractPacket`
  Returns:
    true, this is a receipt packet

### getCorrelationId

    public String getCorrelationId()

  Returns:
    Returns the correlationId.

### setCorrelationId

    public void setCorrelationId(String newCorrelationId)

  Parameters:
    `newCorrelationId` - The correlationId to set.

### isFailed

    public boolean isFailed()

  Returns:
    Returns the failed.

### setFailed

    public void setFailed(boolean newFailed)

  Parameters:
    `newFailed` - The failed to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPacket`
  Returns:
    pretty print of a Receipt

### getBrokerMessageCapacity

    public int getBrokerMessageCapacity()

  Returns:
    Returns the brokerMessageCapacity.

### setBrokerMessageCapacity

    public void setBrokerMessageCapacity(int brokerMessageCapacity)

  Parameters:
    `brokerMessageCapacity` - The brokerMessageCapacity to set.

### getBrokerName

    public String getBrokerName()

  Returns:
    Returns the brokerName.

### setBrokerName

    public void setBrokerName(String brokerName)

  Parameters:
    `brokerName` - The brokerName to set.

### getClusterName

    public String getClusterName()

  Returns:
    Returns the clusterName.

### setClusterName

    public void setClusterName(String clusterName)

  Parameters:
    `clusterName` - The clusterName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.